> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all SIM card orders

> Get all SIM card orders according to filters.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/wireless/sim-cards-provisioning.yml get /sim_card_orders
openapi: 3.1.0
info:
  title: SIM Cards Provisioning API
  version: 2.0.0
  description: >-
    SIM card ordering, registration, and provisioning actions including enable,
    disable, and standby.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /sim_card_orders:
    get:
      tags:
        - SIM Card Orders
      summary: Get all SIM card orders
      description: Get all SIM card orders according to filters.
      operationId: GetSimCardOrders
      parameters:
        - $ref: '#/components/parameters/FilterSIMCardOrdersConsolidated'
        - $ref: '#/components/parameters/wireless_PageConsolidated'
      responses:
        '200':
          $ref: '#/components/responses/GetAllSimCardOrdersResponse'
        '401':
          description: Unauthorized
        default:
          $ref: '#/components/responses/wireless_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            // Automatically fetches more pages as needed.
            for await (const simCardOrder of client.simCardOrders.list()) {
              console.log(simCardOrder.id);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.sim_card_orders.list()
            page = page.data[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.SimCardOrders.List(context.TODO(), telnyx.SimCardOrderListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: |-
            package com.telnyx.sdk.example;

            import com.telnyx.sdk.client.TelnyxClient;
            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
            import com.telnyx.sdk.models.simcardorders.SimCardOrderListPage;
            import com.telnyx.sdk.models.simcardorders.SimCardOrderListParams;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    SimCardOrderListPage page = client.simCardOrders().list();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            page = telnyx.sim_card_orders.list

            puts(page)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $page = $client->simCardOrders->list(
                filter: [
                  'addressAdministrativeArea' => 'TX',
                  'addressCountryCode' => 'US',
                  'addressExtendedAddress' => '14th Floor',
                  'addressID' => '1293384261075731499',
                  'addressLocality' => 'Austin',
                  'addressPostalCode' => '78701',
                  'addressStreetAddress' => '600 Congress Avenue',
                  'costAmount' => '2.53',
                  'costCurrency' => 'USD',
                  'createdAt' => new \DateTimeImmutable('2018-02-02T22:25:27.521Z'),
                  'quantity' => 21,
                  'updatedAt' => new \DateTimeImmutable('2018-02-02T22:25:27.521Z'),
                ],
                pageNumber: 0,
                pageSize: 0,
              );

              var_dump($page);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx sim-card-orders list \
              --api-key 'My API Key'
components:
  parameters:
    FilterSIMCardOrdersConsolidated:
      name: filter
      in: query
      explode: true
      description: >-
        Consolidated filter parameter for SIM card orders (deepObject style).
        Originally: filter[created_at], filter[updated_at], filter[quantity],
        filter[cost.amount], filter[cost.currency], filter[address.id],
        filter[address.street_address], filter[address.extended_address],
        filter[address.locality], filter[address.administrative_area],
        filter[address.country_code], filter[address.postal_code]
      schema:
        type: object
        properties:
          created_at:
            type: string
            format: date-time
            example: '2018-02-02T22:25:27.521Z'
            description: >-
              Filter by ISO 8601 formatted date-time string matching resource
              creation date-time.
          updated_at:
            type: string
            format: date-time
            example: '2018-02-02T22:25:27.521Z'
            description: >-
              Filter by ISO 8601 formatted date-time string matching resource
              last update date-time.
          quantity:
            type: integer
            example: 21
            description: Filter orders by how many SIM cards were ordered.
          cost.amount:
            description: The total monetary amount of the order.
            type: string
            example: '2.53'
          cost.currency:
            type: string
            description: Filter by ISO 4217 currency string.
            example: USD
          address.id:
            type: string
            description: Uniquely identifies the address for the order.
            example: '1293384261075731499'
          address.street_address:
            type: string
            example: 600 Congress Avenue
            description: >-
              Returns entries with matching name of the street where the address
              is located.
          address.extended_address:
            type: string
            example: 14th Floor
            description: >-
              Returns entries with matching name of the supplemental field for
              address information.
          address.locality:
            type: string
            example: Austin
            description: Filter by the name of the city where the address is located.
          address.administrative_area:
            type: string
            example: TX
            description: Filter by state or province where the address is located.
          address.country_code:
            type: string
            example: US
            description: >-
              Filter by the mobile operator two-character (ISO 3166-1 alpha-2)
              origin country code.
          address.postal_code:
            type: string
            example: '78701'
            description: Filter by postal code for the address.
    wireless_PageConsolidated:
      name: page
      in: query
      explode: true
      description: >-
        Consolidated pagination parameter (deepObject style). Originally:
        page[number], page[size]
      schema:
        type: object
        properties:
          number:
            type: integer
            minimum: 1
            default: 1
            description: The page number to load.
          size:
            type: integer
            minimum: 1
            maximum: 250
            default: 20
            description: The size of the page.
  responses:
    GetAllSimCardOrdersResponse:
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/SIMCardOrder'
              meta:
                $ref: '#/components/schemas/PaginationMeta'
      description: Successful Response
    wireless_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/wireless_Errors'
  schemas:
    SIMCardOrder:
      title: SIMCardOrder
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Identifies the resource.
          readOnly: true
          example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
        record_type:
          type: string
          description: Identifies the type of the resource.
          readOnly: true
          example: sim_card_order
        quantity:
          type: integer
          minimum: 1
          description: The amount of SIM cards requested in the SIM card order.
          example: 21
        cost:
          type: object
          description: An object representing the total cost of the order.
          properties:
            amount:
              type: string
              description: A string representing the cost amount.
              example: '2.32'
            currency:
              type: string
              description: Filter by ISO 4217 currency string.
              example: USD
          example:
            amount: '2.52'
            currency: USD
        order_address:
          type: object
          properties:
            id:
              type: string
              description: Uniquely identifies the address for the order.
              example: '1293384261075731499'
            first_name:
              type: string
              description: The first name of the shipping recipient.
              example: John
            last_name:
              type: string
              description: The last name of the shipping recipient.
              example: Smith
            business_name:
              type: string
              description: The name of the business where the address is located.
              example: Telnyx LLC
            street_address:
              type: string
              description: The name of the street where the address is located.
              example: 600 Congress Avenue
            extended_address:
              type: string
              description: Supplemental field for address information.
              example: 14th Floor
            locality:
              type: string
              description: The name of the city where the address is located.
              example: Austin
            administrative_area:
              type: string
              description: State or province where the address is located.
              example: TX
            country_code:
              type: string
              description: >-
                The mobile operator two-character (ISO 3166-1 alpha-2) origin
                country code.
              example: US
            postal_code:
              type: string
              description: Postal code for the address.
              example: '78701'
          description: >-
            An object representing the address information from when the order
            was submitted.
          readOnly: true
          example:
            id: '1293384261075731499'
            street_address: 600 Congress Avenue
            extended_address: 14th Floor
            locality: Austin
            administrative_area: TX
            country_code: US
            postal_code: '78701'
        tracking_url:
          type: string
          format: uri
          description: The URL used to get tracking information about the order.
          example: http://www.example.com/
        status:
          type: string
          description: >-
            The current status of the SIM Card order.<ul>
            <li><code>pending</code> - the order is waiting to be
            processed.</li> <li><code>processing</code> - the order is currently
            being processed.</li> <li><code>ready_to_ship</code> - the order is
            ready to be shipped to the specified <b>address</b>.</li>
            <li><code>shipped</code> - the order was shipped and is on its way
            to be delivered to the specified <b>address</b>.</li>
            <li><code>delivered</code> - the order was delivered to the
            specified <b>address</b>.</li> <li><code>canceled</code> - the order
            was canceled.</li> </ul>
          enum:
            - pending
            - processing
            - ready_to_ship
            - shipped
            - delivered
            - canceled
          example: pending
        created_at:
          type: string
          description: >-
            ISO 8601 formatted date-time indicating when the resource was last
            created.
          readOnly: true
          example: '2018-02-02T22:25:27.521Z'
        updated_at:
          type: string
          description: >-
            ISO 8601 formatted date-time indicating when the resource was last
            updated.
          readOnly: true
          example: '2018-02-02T22:25:27.521Z'
    PaginationMeta:
      type: object
      properties:
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
    wireless_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/wireless_Error'
      type: object
    wireless_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````